org.eclipse.incquery.patternlanguage.typing

## Class ITypeInferrer.NullTypeInferrer

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.typing.ITypeInferrer.NullTypeInferrer

- All Implemented Interfaces:
    ITypeInferrer
  Enclosing interface:
    ITypeInferrer

      public static class ITypeInferrer.NullTypeInferrer
      extends java.lang.Object
      implements ITypeInferrer

  An empty implementation of `ITypeInferrer` that can be used by the abstract pattern language module.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.patternlanguage.typing.ITypeInferrer

      `ITypeInferrer.NullTypeInferrer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullTypeInferrer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IInputKey` | `getDeclaredType(Variable var)` Returns the declared type of a variable
    `IInputKey` | `getInferredVariableType(Variable var)` Returns the inferred type of a variable
    `org.eclipse.xtext.common.types.JvmTypeReference` | `getVariableJvmType(Variable var, org.eclipse.emf.ecore.EObject context)` Creates a Jvm Type Reference for a selected variable.
    `IInputKey` | `getVariableReferenceType(VariableReference reference)` Calculates the type of a variable reference.
    `IInputKey` | `getVariableType(Variable var)` Returns the type of a variable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullTypeInferrer

          public NullTypeInferrer()

  - ### Method Detail

    - #### getInferredVariableType

          public IInputKey getInferredVariableType(Variable var)

      Description copied from interface: `ITypeInferrer`
      Returns the inferred type of a variable
      Specified by:
        `getInferredVariableType` in interface `ITypeInferrer`

    - #### getVariableJvmType

          public org.eclipse.xtext.common.types.JvmTypeReference getVariableJvmType(Variable var,
                                                                                    org.eclipse.emf.ecore.EObject context)

      Description copied from interface: `ITypeInferrer`
      Creates a Jvm Type Reference for a selected variable. Useful during Jvm Model Inference
      Specified by:
        `getVariableJvmType` in interface `ITypeInferrer`

    - #### getVariableReferenceType

          public IInputKey getVariableReferenceType(VariableReference reference)

      Description copied from interface: `ITypeInferrer`
      Calculates the type of a variable reference. A type of a reference is the type of the referred variable.
      Specified by:
        `getVariableReferenceType` in interface `ITypeInferrer`

    - #### getDeclaredType

          public IInputKey getDeclaredType(Variable var)

      Description copied from interface: `ITypeInferrer`
      Returns the declared type of a variable
      Specified by:
        `getDeclaredType` in interface `ITypeInferrer`
      Returns:
        the declared type of the variable, or null if no type declaration is available

    - #### getVariableType

          public IInputKey getVariableType(Variable var)

      Description copied from interface: `ITypeInferrer`
      Returns the type of a variable.
      Specified by:
        `getVariableType` in interface `ITypeInferrer`
      Returns:
        if the variable has a declared type, it is returned; otherwise the inferred type is calculated.